TEX2MAIL(1)

NAME
tex2mail - TeX to ascii math prettyprinter

SYNOPSIS
tex2mail [-linelength= length] [-maxdef= number] [-debug= number] [-by_par= number] [-TeX] [-ragged] [-noindent]

DESCRIPTION

Filter converting TeX or LaTeX math formulae to ASCII art. tex2mail is used by the PARI-GP calculator for output method external prettyprint . Under gp, prettyprint mode can be set by default(output, 3) (or \o3). By default, this switches gp main output to TeX format, filtered by

    tex2mail -TeX -noindent -ragged -by_par

Flags passed to tex2mail can be modified via the prettyprinter default in gp.

OPTIONS
The following command line options are available:

-linelength=length
    Wrap text at this column.

-maxdef=number
    definition loops: croak if more than maxdef substitutions in a given paragraph.

-debug=debuglevel
    output debugging messages.

-by_par
    Expect each paragraph to be terminated by *exactly* 2 "\n", and do not print an extra "\n" between paragraphs.

-TeX
    Assume input formulae are in plain TeX format.

-ragged
    leave right ragged.

-noindent
    assume \noindent everywhere.

BUGS

 % at the end of a line followed by \n\n is recognized as end of paragraph

AUTHOR
Ilya Zakharevitch

SEE ALSO
gp(1), tex(1),

COPYING

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.